Package: org.codehaus.groovy.runtime

## [Java] Class GStringUtil

- org.codehaus.groovy.runtime.GStringUtil

-     public final class GStringUtil
      extends Object

  This class is primarily intended for INTERNAL USE. Use at your own risk.

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public static void` | `buildImpl(GroovyObject builder, Object[] vs, String[] ss)`
    `` | `public static int` | `calcInitialCapacityImpl(Object[] vs, String[] ss)`
    `` | `public static GString` | `plusImpl(Object[] thisValues, Object[] thatValues, String[] thisStrings, String[] thatStrings)`
    `` | `public static Writer` | `writeToImpl(Writer out, Object[] vs, String[] ss)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### public static void buildImpl(GroovyObject builder, Object[] vs, String[] ss)

    - #### public static int calcInitialCapacityImpl(Object[] vs, String[] ss)

    - #### public static GString plusImpl(Object[] thisValues, Object[] thatValues, String[] thisStrings, String[] thatStrings)

    - #### public static Writer writeToImpl(Writer out, Object[] vs, String[] ss)